> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openpipe.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Finetune

> DEPRECATED



## OpenAPI

````yaml post /unstable/finetune/create
openapi: 3.0.3
info:
  title: OpenPipe API
  description: The public API for reporting API calls to OpenPipe
  version: 0.1.1
servers:
  - url: https://api.openpipe.ai/api/v1
security: []
paths:
  /unstable/finetune/create:
    post:
      description: DEPRECATED
      operationId: unstableFinetuneCreate
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                datasetId:
                  type: string
                slug:
                  type: string
                baseModel:
                  type: string
                  description: >-
                    The base model to fine-tune from. Supported models include:
                    meta-llama/Meta-Llama-3.1-8B-Instruct,
                    meta-llama/Meta-Llama-3.1-70B-Instruct
                overrides:
                  type: object
                  properties:
                    is_sft_enabled:
                      type: boolean
                      default: true
                    batch_size:
                      anyOf:
                        - type: string
                          enum:
                            - auto
                        - type: number
                    learning_rate_multiplier:
                      type: number
                    num_epochs:
                      type: number
                    is_preference_tuning_enabled:
                      type: boolean
                    preference_tuning_variant:
                      anyOf:
                        - type: string
                          enum:
                            - DPO
                        - type: string
                          enum:
                            - APO Zero
                    preference_tuning_learning_rate_multiplier:
                      type: number
                    preference_tuning_num_epochs:
                      type: number
                    preference_tuning_training_beta:
                      type: number
                    preference_tuning_adapter_weight:
                      type: number
                  additionalProperties: false
                  default: {}
              required:
                - datasetId
                - slug
                - baseModel
              additionalProperties: false
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                required:
                  - id
                additionalProperties: false
        default:
          $ref: '#/components/responses/error'
      deprecated: true
      security:
        - Authorization: []
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````